Description

The vector toolbar has no tools. In in Interface Customisation panel the vector toolbar has no triangle next to it to expand, so presumable

the tools are missing. I have tried a clean installs of QGIS3.2 and 1.8 but the problem persists.

I also removed all the elements of GDAL that I could find and reinstalled that with no effect on the problem. Reinstalled Python too. All

done in the sequence Python,  GDAL, QGIS.

To be clear the Vector toolbar can be opened and closed from the View menu and the python console but has no content.

History

#1 - 2018-10-17 01:28 PM - Harrissou Santanna

- Status changed from Open to Feedback

Hi,

As it has been replied in the user ML, by default, the vector toolbar in QGIS has no tool unless you enable plugins like Coordinate capture, Topology

checker or GPS tools (for the QGIS 3 Core ones). Enable any of them and let us know if it's still empty.

#2 - 2018-10-23 04:38 AM - Donald Newlands

- File AnyDesk_2018-10-22_19-29-22.png added

Hi,

I suddenly started having the same issue on one of our workstations...  We have never enabled plugins and we have always had a bunch of options

available under the Vector menu. Please see the screenshot attached from a different "vanilla" workstation running the following installer:

QGIS-OSGeo4W-3.2.3-1-Setup-x86_64.exe

Thanks!

#3 - 2018-10-23 08:08 AM - Harrissou Santanna

These are shortcuts for Processing (plugin) tools, which you'll see that is checked under Plugin Manager dialog.

(Un)check it there and see how the vector and raster menus would look like. See also 

https://docs.qgis.org/testing/en/docs/user_manual/introduction/qgis_gui.html#vector

#4 - 2018-12-24 10:28 AM - Alexander Bruy

- Resolution set to worksforme
https://docs.qgis.org/testing/en/docs/user_manual/introduction/qgis_gui.html#vector


- Category changed from Map Tools to Customisation Framework

- Operating System deleted (Mac OS 10.14 Nojave)

- Status changed from Feedback to Closed

As previously said, by default there are no tools in the Vector toolbar, so there is nothing wrong here.
